using System;

namespace DeviceRepair.Models.Tag
{
    public class TagRecordFilter
    {
        private DateTime _sdata = DateTime.Today.AddMonths(-1);
        private DateTime _edata = DateTime.Today.AddDays(1).AddMilliseconds(-1);
        /// <summary>
        /// 创建开始时间
        /// </summary>
        public DateTime sDate
        {
            get { return _sdata == DateTime.MinValue ? DateTime.Today.AddMonths(-1) : _sdata; }
            set { _sdata = value == DateTime.MinValue ? DateTime.Today.AddMonths(-1) : value; }
        } 

        /// <summary>
        /// 创建结束时间
        /// </summary>
        public DateTime eDate
        {
            get { return _edata == DateTime.MinValue ? DateTime.Today.AddDays(1).AddMilliseconds(-1) : _edata; }
            set { _edata = value == DateTime.MinValue ? DateTime.Today.AddDays(1).AddMilliseconds(-1) : value; }
        }

        /// <summary>
        /// 设备编号
        /// </summary>
        public string EquipmentDisPlayID { get; set; }

        /// <summary>
        /// 表单状态
        /// N:已提交
        /// C:已完成
        /// </summary>
        public string TagFormStatus { get; set; }
    }
}
